Bug 825354 - Deconfigure and destroy aren't always cleaning up httpd proxy config
Deconfigure and destroy aren't always cleaning up httpd proxy config
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Dan McPherson
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 15:02 EDT by Dan McPherson
Modified: 2015-05-14 18:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: devenv_1809
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:59:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mcollective.log (2.00 MB, application/octet-stream)
2012-05-25 15:02 EDT, Dan McPherson
no flags Details

  None (edit)
Description Dan McPherson 2012-05-25 15:02:57 EDT
Created attachment 586926 [details]
mcollective.log

Description of problem:
Attached is the log from a failed libra check.  You can see that create failed for 6aa261ac328c4c4eafa3f0bc4a0403c0.  Then deconfigure didn't find anything to delete and gave up.  I think we need to make deconfigure still attempt to clean up the httpd proxy even if the app dir isn't there.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Johnny Liu 2012-05-31 04:39:05 EDT
Reproduce steps on devenv_1809:
1. Create app
2. Go to /var/lib/stickshift, remove the app dir.
3. Destroy app.

deconfigure script exits at setup_deconfigure function. 
so it does not remove http proxy config file (/var/lib/stickshift/.httpd.d/).


The fix patch does not integerated into devenv_1809, so keep this bug in "ON_QA" status, once latest ami come out, will verify this bug soon.
Comment 2 Dan McPherson 2012-05-31 10:17:01 EDT
The fix was in 1809.  Did you see an issue still?
Comment 3 Dan McPherson 2012-05-31 16:20:15 EDT
FYI: I think we have confirmed at this point there was an issue with 1809 like you said.
Comment 4 Johnny Liu 2012-06-01 01:29:14 EDT
Verified this bug with devenv-stage_198, and PASS.

Note You need to log in before you can comment on or make changes to this bug.